package com.sunxung.factoring.entity.acceptance;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 验收单单价调整-货物信息历史表
 * </p>
 *
 * @author yafan
 * @since 2023-12-25
 */
@TableName("acceptance_price_goods_his_info")
public class AcceptancePriceGoodsHisInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 货物名称
     */
    @TableField("goods_name")
    private String goodsName;

    /**
     * 验收单编号
     */
    @TableField("acceptance_goods_number")
    private String acceptanceGoodsNumber;

    /**
     * 货物材质
     */
    @TableField("goods_material")
    private String goodsMaterial;

    /**
     * 型号
     */
    @TableField("goods_type")
    private String goodsType;

    /**
     * 厂家
     */
    @TableField("goods_factory")
    private String goodsFactory;

    /**
     * 单位
     */
    @TableField("goods_unit")
    private String goodsUnit;

    /**
     * 数量
     */
    @TableField("goods_quantity")
    private BigDecimal goodsQuantity;

    /**
     * 验收日期
     */
    @TableField("acceptance_date")
    private Date acceptanceDate;

    /**
     * 验收单-单价调整历史表ID
     */
    @TableField("c_acceptance_price_adjust_his_info_id")
    private Long cAcceptancePriceAdjustHisInfoId;

    /**
     * 销售单价
     */
    @TableField("sales_price")
    private BigDecimal salesPrice;

    /**
     * 参考价格
     */
    @TableField("reference_price")
    private BigDecimal referencePrice;

    /**
     * 浮动单价
     */
    @TableField("floating_price")
    private BigDecimal floatingPrice;


    public String getGoodsName() {
        return goodsName;
    }

    public String getAcceptanceGoodsNumber() {
        return acceptanceGoodsNumber;
    }

    public void setAcceptanceGoodsNumber(String acceptanceGoodsNumber) {
        this.acceptanceGoodsNumber = acceptanceGoodsNumber;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsMaterial() {
        return goodsMaterial;
    }

    public void setGoodsMaterial(String goodsMaterial) {
        this.goodsMaterial = goodsMaterial;
    }
    public String getGoodsType() {
        return goodsType;
    }

    public void setGoodsType(String goodsType) {
        this.goodsType = goodsType;
    }
    public String getGoodsFactory() {
        return goodsFactory;
    }

    public void setGoodsFactory(String goodsFactory) {
        this.goodsFactory = goodsFactory;
    }
    public String getGoodsUnit() {
        return goodsUnit;
    }

    public void setGoodsUnit(String goodsUnit) {
        this.goodsUnit = goodsUnit;
    }
    public BigDecimal getGoodsQuantity() {
        return goodsQuantity;
    }

    public void setGoodsQuantity(BigDecimal goodsQuantity) {
        this.goodsQuantity = goodsQuantity;
    }

    public Long getcAcceptancePriceAdjustHisInfoId() {
        return cAcceptancePriceAdjustHisInfoId;
    }

    public void setcAcceptancePriceAdjustHisInfoId(Long cAcceptancePriceAdjustHisInfoId) {
        this.cAcceptancePriceAdjustHisInfoId = cAcceptancePriceAdjustHisInfoId;
    }
    public BigDecimal getSalesPrice() {
        return salesPrice;
    }

    public void setSalesPrice(BigDecimal salesPrice) {
        this.salesPrice = salesPrice;
    }
    public BigDecimal getReferencePrice() {
        return referencePrice;
    }

    public void setReferencePrice(BigDecimal referencePrice) {
        this.referencePrice = referencePrice;
    }
    public BigDecimal getFloatingPrice() {
        return floatingPrice;
    }

    public void setFloatingPrice(BigDecimal floatingPrice) {
        this.floatingPrice = floatingPrice;
    }

    public Date getAcceptanceDate() {
        return acceptanceDate;
    }

    public void setAcceptanceDate(Date acceptanceDate) {
        this.acceptanceDate = acceptanceDate;
    }

    @Override
    public String toString() {
        return "AcceptancePriceGoodsHisInfo{" +
            ", goodsName=" + goodsName +
            ", goodsMaterial=" + goodsMaterial +
            ", goodsType=" + goodsType +
            ", goodsFactory=" + goodsFactory +
            ", goodsUnit=" + goodsUnit +
            ", goodsQuantity=" + goodsQuantity +
            ", acceptanceDate=" + acceptanceDate +
            ", cAcceptancePriceAdjustHisInfoId=" + cAcceptancePriceAdjustHisInfoId +
            ", salesPrice=" + salesPrice +
            ", referencePrice=" + referencePrice +
            ", floatingPrice=" + floatingPrice +
        "}";
    }
}
